package schema

import (
	"github.com/graphql-go/graphql"
	"gitlab.okta-solutions.com/mashroom/backend/common/graphql/util"
)

var RootQueries = make(graphql.Fields)

var RootMutations = make(graphql.Fields)

var RootSubscriptions = make(graphql.Fields)

func CompileSchema() (graphql.Schema, error) {
	return util.CompileSchema(RootQueries, RootMutations, RootSubscriptions)
}
